datablock AudioDescription(AudioFar2D : AudioDefault3D) {
	is3d = 0;
	maxDistance = 64;
	referenceDistance = 64;
	volume = 1;
	impactImpulse = 2600;
	isLooping = 0;
};

datablock AudioProfile(MSLoginSound) {
	filename = "./XP_Logon.wav";
	description = AudioDefault3D;
	preload = true;
};

datablock AudioProfile(MSStartupSound) {
	filename = "./XP_Startup.wav";
	description = AudioFar2D;
	preload = true;
};

datablock AudioProfile(MSShutdownSound) {
	filename = "./XP_Shutdown.wav";
	description = AudioFar2D;
	preload = true;
};

datablock ItemData(MSMegaphoneItem) {
	category = "Tools";  // Mission editor category
	className = "Weapon"; // For inventory system

	colorShiftColor = "1 1 1";
	shapeFile = "./megaphone.dts";

	image = "MSMegaphoneImage";
	doColorShift = 1;

	rotate = false;
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;

	canDrop = 1;
	uiname = "Microsoft Megaphone";
};


datablock ShapeBaseImageData(MSMegaphoneImage)
{
	// Basic Item properties
	shapeFile = "./megaphone.dts";
	emap = true;

	// Specify mount point & offset for 3rd person, and eye offset
	// for first person rendering.
	mountPoint = 0;
	offset = "0 0 0";
	eyeOffset = 0; //"0.7 1.2 -0.5";
	rotation = eulerToMatrix( "0 0 0" );

	// When firing from a point offset from the eye, muzzle correction
	// will adjust the muzzle vector to point to the eye LOS point.
	// Since this weapon doesn't actually fire from the muzzle point,
	// we need to turn this off.  
	correctMuzzleVector = true;

	// Add the WeaponImage namespace as a parent, WeaponImage namespace
	// provides some hooks into the inventory system.
	className = "WeaponImage";

	// Projectile && Ammo.
	item = MSMegaphoneItem;
	ammo = " ";
	projectile = "";
	projectileType = Projectile;

	//melee particles shoot from eye node for consistancy
	melee = false;
	//raise your arm up or not
	armReady = true;

	doColorShift = false;
	colorShiftColor = "0 0 0 1";

	stateName[0]							= "Activate";
	stateTimeoutValue[0]				 = 0.15;
	stateTransitionOnTimeout[0]		 = "Ready";
	stateSound[0]					= MSLoginSound;

	stateName[1]					= "Ready";
	stateTransitionOnTriggerDown[1]	= "Play";

	stateName[2]					= "Play";
	stateScript[2]					= "onPlay";
	stateTransitionOnTriggerUp[2]	= "Ready";
};

function MSMegaphoneImage::onPlay(%this, %obj, %slot) {
	//play sound
	%obj.playThread(2, shiftUp);
}

package MSMegaphone {
	function Armor::onTrigger(%this, %obj, %trig, %val) {
		if (%obj.getMountedImage(0) == MSMegaphoneImage.getID() && %val == 1 && (%trig $= 4 || %trig $= 0) && !%obj.cannotPlaySound) {
			if (%trig == 4) {
				serverPlay3D(MSShutdownSound, %obj.getHackPosition());
				serverPlay3D(MSShutdownSound, %obj.getHackPosition());
				serverPlay3D(MSShutdownSound, %obj.getHackPosition());
				serverPlay3D(MSShutdownSound, %obj.getHackPosition());
				%obj.cannotPlaySound(1);
				%obj.schedule(4000, cannotPlaySound, 0);
				%obj.playThread(2, shiftUp);
			} else if (%trig == 0) {
				serverPlay3D(MSStartupSound, %obj.getHackPosition());
				serverPlay3D(MSStartupSound, %obj.getHackPosition());
				serverPlay3D(MSStartupSound, %obj.getHackPosition());
				serverPlay3D(MSStartupSound, %obj.getHackPosition());
				%obj.cannotPlaySound(1);
				%obj.schedule(4000, cannotPlaySound, 0);
				%obj.playThread(2, shiftUp);
			}
		}
		return parent::onTrigger(%this, %obj, %trig, %val);
	}
};
activatePackage(MSMegaphone);

function Player::cannotPlaySound(%this, %num) {
	%this.cannotPlaySound = %num;
}